TKDIFF(1)

NAME
tkdiff - view the differences between two files

SYNOPSIS
tkdiff [OPTION]...[FILES...]

DESCRIPTION
tkdiff is a graphical front-end for the standard Unix 'diff' utility.

Its features include highlighted difference regions (with a quick overview/navigation bar) and linked scrolling of files. It provides file-merge and change-summary facilities, line number toggling (for easier cut & paste) and support for Subversion, RCS, CVS and SCCS.

OPTIONS

-rREV
    diff against revision REV

-a ANCESTORFILE

-o MERGEOUTPUTFILE
    Output to MERGEOUTPUTFILE

-L LEFT_FILE_LABEL [-L RIGHT_FILE_LABEL]
    Label left and right file windows respectively.

-h, --help
    Show summary of options.

EXAMPLES

Interactive selection of files to compare:
    tkdiff Plain files:
    tkdiff FILE1 FILE2

Plain file with conflict markers:
    tkdiff -conflict FILE

Source control (AccuRev, BitKeeper, CVS, Subversion, Perforce, PVCS, RCS, SCCS, ClearCase)
    tkdiff FILE
    tkdiff -rREV FILE
    tkdiff -rREV1 -rREV2 FILE
    tkdiff OLD-URL[@OLDREV] NEW-URL[@NEWREV] (Subversion)

SEE ALSO
diff(1)

AUTHOR
tkdiff was written by John M. Klassa.

This manual page was written by Barry deFreese <bdefreese@comcast.net>, for the Debian project (but may be used by others).